## com.sun.jersey.api.client
Class ClientRequest.Builder

    java.lang.Object
      com.sun.jersey.api.client.PartialRequestBuilder<ClientRequest.Builder>
          com.sun.jersey.api.client.ClientRequest.Builder

All Implemented Interfaces:
  RequestBuilder<ClientRequest.Builder>

Enclosing class:
  ClientRequest

    public static final class ClientRequest.Builder

extends PartialRequestBuilder<ClientRequest.Builder>

The builder for building a `ClientRequest` instance.

Field Summary

Fields inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`entity, metadata`

Constructor Summary
`ClientRequest.Builder()`

Method Summary
`ClientRequest` | `build(java.net.URI uri, java.lang.String method)` Build the `ClientRequest` instance.

Methods inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`accept, accept, acceptLanguage, acceptLanguage, cookie, entity, entity, entity, header, type, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientRequest.Builder

    public ClientRequest.Builder()

Method Detail

### build

    public ClientRequest build(java.net.URI uri,
                               java.lang.String method)

  Build the `ClientRequest` instance.

  Parameters:
    `uri` - the URI of the request.
    `method` - the HTTP method.
  Returns:
    the client request.

Copyright © 2017 Oracle Corporation. All Rights Reserved.